package AtomType;
@ISA=qw(chemistry);
$SIG2RAD=0.59;

sub new {
	my $class=shift;
	$self={};
	bless $self;
}

sub id {
	my ($self,$id) = @_;
	$self->{id} = $id if defined $id;
	return $self->{id};
}

sub mw {
	my ($self,$mw) = @_;
	$self->{mw} = $mw if defined $mw;
	return $self->{mw};
}

sub rvdw {
	my ($self,$rvdw) = @_;
	if (defined $rvdw) {
		$self->{rvdw} = $rvdw;
		$self->{sig} = $rvdw/SIG2RAD;
	}
	return $self->{rvdw};
}

sub eps {
	my ($self,$eps) = @_;
	$self->{eps} = $eps if defined $eps;
	return $self->{eps};
}

sub sig {
	my ($self,$sig) = @_;
	if (defined $sig) {
		$self->{sig} = $sig;
		$self->{rvdw} = $sig * $SIG2RAD;
	};
	return $self->{sig};
}

sub sfact {
	my ($self,$sfact) = @_;
	$self->{sfact} = $sfact if defined $sfact;
	return $self->{sfact};
}

sub nlp {
	my ($self,$nlp) = @_;
	$self->{nlp} = $nlp if defined $nlp;
	return $self->{nlp};
}
sub vol {
	my ($self,$vol) = @_;
	$self->{vol} = $vol if defined $vol;
	return $self->{vol};
}


"1";


